Loading...
Searching...
No Matches
crypto_types.h File Reference

PSA cryptography module: type aliases. More...

`#include "crypto_platform.h"`
`#include <stdint.h>`
Include dependency graph for crypto_types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

SECTION: Mbed TLS feature support
This section sets support for features that are or are not needed within the modules that are enabled.
#define | MBEDTLS_PSA_CRYPTO_CLIENT

## Typedefs

typedef int32_t | psa_status_t
| Function return status.
typedef uint16_t | psa_key_type_t
| Encoding of a key type.
typedef uint8_t | psa_ecc_family_t
typedef uint8_t | psa_dh_family_t
typedef uint32_t | psa_algorithm_t
| Encoding of a cryptographic algorithm.
typedef uint32_t | psa_key_lifetime_t
typedef uint8_t | psa_key_persistence_t
typedef uint32_t | psa_key_location_t
typedef uint32_t | psa_key_id_t
typedef psa_key_id_t | mbedtls_svc_key_id_t
typedef uint32_t | psa_key_usage_t
| Encoding of permitted usage on a key.
typedef struct psa_key_attributes_s | psa_key_attributes_t
typedef uint16_t | psa_key_derivation_step_t
| Encoding of the step of a key derivation.

## Detailed Description

PSA cryptography module: type aliases.

Note
  This file may not be included directly. Applications must include psa/crypto.h. Drivers must include the appropriate driver header file.

This file contains portable definitions of integral types for properties of cryptographic keys, designations of cryptographic algorithms, and error codes returned by the library.

This header file does not declare any function.

Definition in file crypto_types.h.

## Macro Definition Documentation

## MBEDTLS_PSA_CRYPTO_CLIENT

#define MBEDTLS_PSA_CRYPTO_CLIENT

Enable support for PSA crypto client.

Note
  This option allows to include the code necessary for a PSA crypto client when the PSA crypto implementation is not included in the library (MBEDTLS_PSA_CRYPTO_C disabled). The code included is the code to set and get PSA key attributes. The development of PSA drivers partially relying on the library to fulfill the hardware gaps is another possible usage of this option.

Warning
  This interface is experimental and may change or be removed without notice.

Definition at line 30 of file crypto_types.h.